package Methoden_Referenzen;
import java.util.*;

public class LambdaVsMethoden_Refrenz {

	public static void main(String[] args) {
	//	List<String> namen = Arrays.asList("Anna", "Ben", "Cara").forEach(System.out::println); Fehler weil forEach gibt nichts aus
		
		List<String> namen = Arrays.asList("Anna", "Ben", "Cara");
		Arrays.asList("Anna", "Ben", "Cara").forEach(System.out::println);
		// Mit Lambda-Ausdruck
		namen.forEach(name -> System.out.println(name));

		// Mit Methoden-Referenz
		namen.forEach(System.out::println);

	}

}
